Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Interface ExtensionHandler

All Known Implementing Classes:
  DefaultExtensionHandler

    public interface ExtensionHandler

The ExtensionHandler interface allows the user to handle Java 2D API extensions that map to SVG concepts (such as custom Paints, Composites or BufferedImageOp filters).

Method Summary
`SVGCompositeDescriptor` | `handleComposite(Composite composite, SVGGeneratorContext generatorContext)`
`SVGFilterDescriptor` | `handleFilter(BufferedImageOp filter, Rectangle filterRect, SVGGeneratorContext generatorContext)`
`SVGPaintDescriptor` | `handlePaint(Paint paint, SVGGeneratorContext generatorContext)`

Method Detail

### handlePaint

    SVGPaintDescriptor handlePaint(Paint paint,
                                   SVGGeneratorContext generatorContext)

  Parameters:
    `paint` - Custom Paint to be converted to SVG
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGPaintDescriptor

### handleComposite

    SVGCompositeDescriptor handleComposite(Composite composite,
                                           SVGGeneratorContext generatorContext)

  Parameters:
    `composite` - Custom Composite to be converted to SVG.
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGCompositeDescriptor which contains a valid SVG filter, or null if the composite cannot be handled

### handleFilter

    SVGFilterDescriptor handleFilter(BufferedImageOp filter,
                                     Rectangle filterRect,
                                     SVGGeneratorContext generatorContext)

  Parameters:
    `filter` - Custom filter to be converted to SVG.
    `filterRect` - Rectangle, in device space, that defines the area to which filtering applies. May be null, meaning that the area is undefined.
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGFilterDescriptor which contains a valid SVG filter, or null if the composite cannot be handled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.